<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            Number 1: <input type="text" id="num1"><br>
            Number 2: <input type="text" id="num2"><br>
            <input type="button" id="add" value="Add">
            <input type="button" id="sub" value="Substract">
            <input type="button" id="mult" value="Multiply">
            <input type="button" id="div" value="Divide"><br>
            Result : <input type="text" id="result">
            <script>
                function assignEvents(e) {
                    document.getElementById("add").addEventListener("click", add);
                    document.getElementById("sub").addEventListener("click", sub);
                    document.getElementById("mult").addEventListener("click", multiply);
                    document.getElementById("div").addEventListener("click", divide);
                }
                function add() {
                    if (document.getElementById("num1").value == "" || document.getElementById("num2").value == "") {
                        alert("Error - One or more fields empty.")
                    } else {
                        x = parseInt(document.getElementById("num1").value);
                        y = parseInt(document.getElementById("num2").value);
                        var result = eval("x+y");
                        document.getElementById("result").value = result;
                    }
                }
                function sub() {
                    if (document.getElementById("num1").value == "" || document.getElementById("num2").value == "") {
                        alert("Error - One or more fields empty.")
                    } else {
                        x = parseInt(document.getElementById("num1").value);
                        y = parseInt(document.getElementById("num2").value);
                        var result = eval("x-y");
                        document.getElementById("result").value = result;
                    }
                }
                function multiply() {
                    if (document.getElementById("num1").value == "" || document.getElementById("num2").value == "") {
                        alert("Error - One or more fields empty.")
                    } else {
                        x = parseInt(document.getElementById("num1").value);
                        y = parseInt(document.getElementById("num2").value);
                        var result = eval("x*y");
                        document.getElementById("result").value = result;
                    }
                }
                function divide() {
                    if (document.getElementById("num1").value == "" || document.getElementById("num2").value == "") {
                        alert("Error - One or more fields empty.")
                    } else {
                        x = parseInt(document.getElementById("num1").value);
                        y = parseInt(document.getElementById("num2").value);
                        var result = eval("x/y");
                        document.getElementById("result").value = result;
                    }
                }
                document.addEventListener("DOMContentLoaded", assignEvents);
            </script>
        </div>
    </body>
</html>
